## BurnerSessionCfg

BurnerSessionCfg — Configure automatically a BurnerBurnSession object

## Functions

#define | BURNER_SESSION_IS_VALID()
BurnerSessionCfg * | burner_session_cfg_new ()
BurnerSessionError | burner_session_cfg_get_error ()
void | burner_session_cfg_add_flags ()
void | burner_session_cfg_remove_flags ()
gboolean | burner_session_cfg_is_supported ()
gboolean | burner_session_cfg_is_compulsory ()
gboolean | burner_session_cfg_has_default_output_path ()
void | burner_session_cfg_enable ()
void | burner_session_cfg_disable ()

## Types and Values

struct | BurnerSessionCfg
enum | BurnerSessionError

## Includes

    #include <burner-session-cfg.h>

## Description

This object configures automatically a session reacting to any change made to the various parameters.

## Functions

### BURNER_SESSION_IS_VALID()

    #define             BURNER_SESSION_IS_VALID(result_MACRO)

### burner_session_cfg_new ()

    BurnerSessionCfg *
    burner_session_cfg_new (void);

Creates a new BurnerSessionCfg object.

#### Returns

a BurnerSessionCfg object.

### burner_session_cfg_get_error ()

    BurnerSessionError
    burner_session_cfg_get_error (BurnerSessionCfg *cfg);

This function returns the current status and if autoconfiguration is/was successful.

#### Parameters

session | a BurnerSessionCfg |

#### Returns

a BurnerSessionError.

### burner_session_cfg_add_flags ()

    void
    burner_session_cfg_add_flags (BurnerSessionCfg *cfg,
                                  BurnerBurnFlag flags);

Adds all flags from `flags` that are supported.

#### Parameters

session | a BurnerSessionCfg |
flags | a BurnerBurnFlag |

### burner_session_cfg_remove_flags ()

    void
    burner_session_cfg_remove_flags (BurnerSessionCfg *cfg,
                                     BurnerBurnFlag flags);

Removes all flags that are not compulsory.

#### Parameters

session | a BurnerSessionCfg |
flags | a BurnerBurnFlag |

### burner_session_cfg_is_supported ()

    gboolean
    burner_session_cfg_is_supported (BurnerSessionCfg *cfg,
                                     BurnerBurnFlag flag);

Checks whether a particular flag is supported.

#### Parameters

session | a BurnerSessionCfg |
flag | a BurnerBurnFlag |

#### Returns

a gboolean. TRUE if it is supported; FALSE otherwise.

### burner_session_cfg_is_compulsory ()

    gboolean
    burner_session_cfg_is_compulsory (BurnerSessionCfg *cfg,
                                      BurnerBurnFlag flag);

Checks whether a particular flag is compulsory.

#### Parameters

session | a BurnerSessionCfg |
flag | a BurnerBurnFlag |

#### Returns

a gboolean. TRUE if it is compulsory; FALSE otherwise.

### burner_session_cfg_has_default_output_path ()

    gboolean
    burner_session_cfg_has_default_output_path
                                   (BurnerSessionCfg *cfg);

This function returns whether the path returned by `burner_burn_session_get_output()` is an automatically created one.

#### Parameters

session | a BurnerSessionCfg |

#### Returns

a gboolean. TRUE if the path(s) creation is handled by `session` , FALSE if it was set.

### burner_session_cfg_enable ()

    void
    burner_session_cfg_enable (BurnerSessionCfg *cfg);

This function (re)-enables autoconfiguration

#### Parameters

session | a BurnerSessionCfg |

### burner_session_cfg_disable ()

    void
    burner_session_cfg_disable (BurnerSessionCfg *cfg);

This function disables autoconfiguration

#### Parameters

session | a BurnerSessionCfg |

## Types and Values

### struct BurnerSessionCfg

    struct BurnerSessionCfg {
    	BurnerSessionSpan parent_instance;
    };

### enum BurnerSessionError

#### Members

BURNER_SESSION_VALID |  |
BURNER_SESSION_NO_CD_TEXT |  |
BURNER_SESSION_NOT_READY |  |
BURNER_SESSION_EMPTY |  |
BURNER_SESSION_NO_INPUT_IMAGE |  |
BURNER_SESSION_UNKNOWN_IMAGE |  |
BURNER_SESSION_NO_INPUT_MEDIUM |  |
BURNER_SESSION_NO_OUTPUT |  |
BURNER_SESSION_INSUFFICIENT_SPACE |  |
BURNER_SESSION_OVERBURN_NECESSARY |  |
BURNER_SESSION_NOT_SUPPORTED |  |
BURNER_SESSION_DISC_PROTECTED |  |

## See Also

BurnerBurn, BurnerBurnSession